Manual05/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils de création d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Outils de création d'objets

FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Filaire, Point


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. L'outil Ligne crée une ligne droite définie par deux points. Il utilise le style de ligne défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Line created by two points


Utilisation

  1. Cliquez sur le bouton Draft Line.svg Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées puis pressez le bouton Draft AddPoint.svg Ajouter un point .
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.

La ligne peut être éditée en double cliquant sur l'élément dans la vue 3D, ou pressez sur le bouton Draft Edit.svg Éditer. Vous pouvez alors déplacer les points à leurs nouvelle position.

Fusionner des lignes simples

Si plusieurs lines sont connectées, vous pouvez les fusionner en un fil unique en appuyant sur l'outil Draft Upgrade.svg Draft Upgrade. Cependant, ce fil ne sera pas éditable. Pour créer un fil modifiable, utilisez Draft Upgrade.svg Draft Upgrade trois fois de plus sur les nouvelles formes (fil, fil fermé, face). Vous pouvez également fusionner les lignes d'origine avec l'outil Draft Wire.svg Draft Wire.

Un fil peut également être créé à partir d'une seule ligne en ajoutant un autre point n'importe où sur sa longueur. Pour ce faire, appuyez sur le bouton Draft AddPoint.svg ajouter un point, puis cliquez n'importe où sur la ligne.

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.

Propriétés

Un objet Ligne partage toutes les propriétés d'un Draft Wire, toutefois, seules certaines de ces propriétés sont applicables à la ligne.

Data

  • DONNÉESStart: Le point de départ
  • DONNÉESEnd: Le point final
  • DONNÉESSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Disponible dans la version 0.16
  • DONNÉESLength: (lecture seule) spécifie la longueur du segment.

View

  • VUEEnd Arrow: s'il s'agit de True, un symbole apparaîtra au dernier point de la ligne afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Dot", "Circle", "Arrow", or "Tick".

Script

See also: Draft API et FreeCAD Script de Base.

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une Ligne entre les points p1 et p2 chacun défini par son FreeCAD.Vector, avec les unités en millimètres.
  • Crée un objet Ligne à partir d'un Part.LineSegment.
  • Crée un objet Ligne du premier sommet au dernier sommet de la Shape donnée.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg


Arrow-left.svg Previous: Draft Line.svg Line
Next: Circle Draft Circle.svg Arrow-right.svg

Draft Wire.svg Filaire

Emplacement du menu
Draft → Filaire
Ateliers
Planche à dessin, Complet
Raccourci par défaut
W I
Introduit dans la version
-
Voir aussi
Ligne, Draft BSpline


Description

L'outil fil (Wire) crée polyligne (séquence de lignes de plusieurs segments) dans le plan de travail actuel. Il prend les attributs de largeur et couleur, précédemment défini dans la barre d'outils style. L'outil fil (Wire) se comporte comme l'outil ligne de projet, sauf qu'il ne s'arrête pas après deux points.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Draft Polyline example.jpg

Utilisation

  1. Pressez sur le bouton Draft Wire.png Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées.
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées.
  4. Pressez la touche F ou C, ou, double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermez le fil. Si le fil est fermé, il sera aussi une face même s'il apparaît comme un filaire.

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Options

  • Si plusieurs Draft Lines connectées sont sélectionnées , elles seront transformées en un fil et la commande sera terminée en cliquant sur le bouton Draft Wire Disponible dans la version 0.17
  • Pressez sur la touche F ou Draft FinishLine.png Terminer pour finir la ligne, le fil reste ouvert.
  • Pressez sur la touche C ou Draft CloseLine.png Close ou cliquez sur le premier point pour finir la ligne, le fil sera fermé, en ajoutant un dernier segment entre le dernier point et le premier.
  • Pressez sur la touche X, Y ou Z après un point, pour contraindre le prochain point sur l'axe donné.
  • Vous pouvez saisir manuellement les coordonnées, entrez simplement les nombres, puis appuyez sur la touche ENTER entre chaque composants X, Y et Z.
  • Pressez sur la touche R, ou cliquez sur la case à cocher Relatif pour activer/désactiver la fonction. Si le mode Relatif est activé, les coordonnées du point suivant, se base sur le dernier point effectué. S'il n'est pas activé, les coordonnées sont absolus, et obtenues à partir du point d'origine (0,0,0).
  • Pressez sur la touche T ou cliquez sur la case à cocher Continue pour activer/désactiver la fonction. Si le mode Continuer est activé, la fonction continue, après avoir fini ou fermer votre fil, cela vous permet de continuer avec la même fonction sans devoir la sélectionner une nouvelle fois.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche du composant logiciel enfichable, indépendamment de la distance.
  • Pressez la touche SHIFT contraint votre prochain point horizontalement ou verticalement en relation avec votre point precédent.
  • Pressez sur la touche W, ou sélectionnez le bouton Draft Wipe.png Contour, pour supprimer le segment courant, et continue un nouveau segment à partir du dernier point créé.
  • Pressez sur la touche CTRL+Z ou sélectionnez le bouton Draft UndoLine.png Annuler, pour revenir au dernier point.
  • Pressez sur la touche I, ou le bouton Filled, transforme le fil en face dès qu'il est fermé. Cette valeur définit simplement la propriété du fil de Flat lines ou Wireframe, il peut donc être facilement modifié plus tard.
  • Pressez sur la touche ESC, ou le bouton Cancel pour quitter la commande.
  • Closed wires, en mode d'affichage "Flat Lines", peut afficher un motif de hachures, en définissant la propriété "Pattern".

Propriétés

  • DONNÉESClosed: Détermine si le Wire est ouvert ou fermé.
  • DONNÉESChamfer Size: Spécifie la dimension du chanfrein des coins.
  • DONNÉESFillet Radius: Spécifie le rayon de courbure des nœuds du wire
  • DONNÉESSubdivisions: Divise les segments du fil avec le nombre de subdivisions donné Disponible dans la version 0.16
  • VUEEnd Arrow: Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme une flèche d'annotation.
  • VUEPattern: Spécifie le type de hachure a utiliser (Wire Fermé).
  • VUEPattern Size: Spécifie la dimension de la hachure.

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet fil (Wire) avec les données de vecteurs ou du fil donné.
    • Si le fil est fermé ou si le premier et le dernier point est identique, le fil est fermé.
    • Si facemode est activé (TRUE) (le fil est fermé), le fil apparait plein.
  • Les attributs de largeur et couleur définis seront utilisés.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Line.svg Line
Next: Circle Draft Circle.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cercle

Emplacement du menu
Draft → Cercle
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
C I
Introduit dans la version
-
Voir aussi
Arc


L'outil Cercle crée un cercle dans le plan de travail courant en entrant deux points, le centre et le rayon, ou en sélectionnant une tangente, ou toute combinaison de ceux-ci. Il prend la type de ligne et couleur précédemment définis dans l'onglet tâches. Cet outil fonctionne de la même manière que l'outil Arc, sauf qu'il s'arrête après avoir entré le rayon.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Draft Circle example.jpg

Draft Circle example.jpg

Utilisation

  1. Pressez la touche Draft Circle.png Draft Circle, ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D, ou entez les coordonnées
  3. Cliquez un second point dans la vue 3D, or entez la valeur du rayon.

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Options

  • L'utilisation de l'outil cercle se fait par la sélection de deux points, le centre et un point situé sur la circonférence, définissant ainsi le rayon.
  • Appuyez sur la touche ALT permet de sélectionner une tangente au lieu d'un point. Il est donc possible de tracer différents types de cercles en sélectionnant, une, deux ou trois tangentes.
  • Entrez simplement le nombre des coordonnées X,Y et Z en pressant la touche ENTER entre chaque entrée. Si la case à cocher Continuer est cochée, l'outil cercle redémarre après avoir cliqué le deuxième point, et continue un autre cercle sans devoir cliquer sur le bouton Cercle.
  • Appuyez sur la touche CTRL force l'accrochage du point sur un emplacement d'accrochage disponible, indépendamment de la distance.
  • Appuyer sur la touche SHIFT, contraint le second point horizontalement ou verticalement par rapport au premier point.
  • Appuyer sur la touche I ou Rempli pour voir le cercle apparaître comme une face après qu'il ai été fermé.
  • Appuyer sur la touche ESC ou le bouton Annuler pour annuler la commande courante.
  • Le cercle peut être transformé en un arc après sa création, en définissant son premier angle et son dernier à des valeurs différentes des angles dans les propriétés.
  • Cercles, en mode d'affichage "Flat Lines", peut afficher un motif de hachures, en le définissant dans Vue -> Propriétés -> Pattern.

Propriétés

  • DONNÉESRadius: Le rayon du cercle
  • DONNÉESMake Face: Remplit le cercle avec une face
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATAFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DATALast Angle: specifies the ending angle of the circle; normally 0°.
  • DATARadius: specifies the radius of the circle.
  • DATAMake Face: specifies if the Circle makes a face or not. If it is True a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DATAFirst Angle and DATALast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil cercle peut être utilisé dans les macros, et, dans la console Python, en utilisant la fonction suivante :

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet cercle avec un rayon donné.
  • Si une position est donnée, elle est utilisée.
  • Si facemode a la valeur False, le cercle est montré comme une forme filaire, sinon ,comme une face.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg
Arrow-left.svg Page précédente: Draft Circle.svg Cercle
Page suivante: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Arc.svg Arc

Emplacement du menu
Draft → Arc
Ateliers
Planche à dessin
Raccourci par défaut
A R
Introduit dans la version
0.7
Voir aussi
Cercle


Description

Cet outil trace un arc de cercle dans le plan de travail courant à l'aide de quatre points : le centre, le rayon, l'angle de départ et l'angle d'arrivée. Ou en choisissant des tangentes, ou toute combinaison de celle-ci. Il prend le style défini dans Draft Tray.

Cet outil fonctionne de la même manière que l'outil cercle, mais ajoute des angles de début et de fin. Pour dessiner un arc elliptique, utilisez ellipse. Vous pouvez également approximer un arc de cercle à l'aide des outils BSpline et BezCurve.

Draft Arc example.jpg

Arc défini par quatre points, centre, rayon, point initial de l'arc et point final de l'arc


Utilisation

  1. Cliquez sur le bouton Draft Arc.png Arc, pressez les touches A et R.
  2. Cliquez sur un premier point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg ajouter un point.
  3. Cliquez le second point dans la vue 3D, ou entrez la valeur du rayon.
  4. Cliquez le troisième point dans la vue 3D, ou entrez le début de l'angle.
  5. Cliquez le quatrième point dans la vue 3D, ou entrez la fin d'ouverture de l'arc.

Vous pouvez modifier l'arc en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Draft Edit. Ensuite, vous pouvez déplacer le point central vers un nouvel emplacement.

L'arc peut être transformé en cercle après la création en définissant ses propriétés de premier et dernier angle sur la même valeur.

Options

  • La principale utilisation de l'outil arc se fait en créant quatre points: le centre, un point sur la circonférence, définissant le rayon, un troisième point définissant le début de l'arc, et un quatrième une définition de sa fin.
  • En appuyant sur la touche Alt, vous pouvez sélectionner une tangente à la place du point, pour définir le cercle de base de l'arc. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • La direction de l'arc dépend du mouvement que vous faites avec votre souris. Si vous déplacez votre souris vers la droite après le troisième point est cliqué, votre arc se fera dans le sens horaire. Pour aller dans le sens antihoraire, il suffit de déplacer votre souris en arrière sur le troisième point, jusqu'à ce que l'arc commence à se dessiner dans l'autre sens.
  • Pour entrer des coordonnées manuellement, il suffit d'entrer les nombres, puis appuyez sur la touche Enter entre chaque composant X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyer sur la touche T ou cliquez sur la case à cocher/décocher Continuer. Si le mode continue est activé, l'outil Arc va redémarrer après avoir entré le quatrième point, permettant de dessiner un autre arc sans appuyer de nouveau sur le bouton Arc.
  • Appuyer sur la touche CTRL tout en tirant force l'accrochage de votre point sur l'emplacement d’accrochage le plus proche, indépendamment de la distance.
  • Appuyer sur la touche MAJ tout en tirant contraint votre point horizontalement ou verticalement par rapport au centre.
  • Appuyer sur la touche ESC ou Fermer pour annuler la commande courante.

Propriétés

Un objet Arc partage toutes les propriétés d'un cercle, mais certaines propriétés n'ont de sens que pour le cercle.

Data

  • DONNÉESFirst Angle: spécifie l'angle du premier point de l'arc.
  • DONNÉESLast Angle: spécifie l'angle du dernier point de l'arc.
  • DONNÉESRadius: spécifie le rayon de l'arc.
  • DONNÉESMake Face: spécifie si l'arc crée une face ou non. Cette propriété ne fonctionne que si la forme est un cercle complet.
Pour transformer un arc en cercle complet, définissez DONNÉESFirst Angle et DONNÉESLast Angle sur la même valeur. Les valeurs 0° et 360° ne sont pas considérées comme identiques. Par conséquent, si ces deux valeurs sont utilisées, le cercle ne formera pas de visage.

Vue

  • VUEPattern: spécifie un Draft Pattern avec lequel remplir la face de l'arc. Cette propriété ne fonctionne que si l'arc est un cercle complet et si DONNÉESMake Face est True et si VUEDisplay Mode est une "Ligne plate".
  • VUE Size: spécifie la taille de Pattern.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

L'outil Arc peut être utilisé dans macros et à partir de la console Python en utilisant la même fonction pour créer des cercles, avec des arguments supplémentaires. Voir les informations dans Draft Circle.

Exemple:

import Draft

Arc1 = Draft.makeCircle(200, startangle=0, endangle=90)
Arc2 = Draft.makeCircle(500, startangle=20, endangle=160)
Arc3 = Draft.makeCircle(750, startangle=-30, endangle=-150)
Arrow-left.svg Page précédente: Draft Circle.svg Cercle
Page suivante: Ellipse Draft Ellipse.svg Arrow-right.svg


Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Rectangle

Emplacement du menu
Draft → Rectangle
Ateliers
Planche à dessin
Raccourci par défaut
R E
Introduit dans la version
-
Voir aussi
Cube


Description

Cet outil trace un Rectangle par la sélection de deux points opposés. La ligne nouvellement créée adopte le style de ligne actif.Vous pouvez éventuellement ajouter un chanfrein à 45 degrés ou ou un congé à chaque coin du rectangle et le diviser en une série de rangées et / ou de colonnes de même taille.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Draft Rectangle example.jpg

Draft Rectangle example.jpg

Utilisation

  1. Pressez le bouton Draft Rectangle.png rectangle ou pressez les touches R then E.
  2. Cliquez le premier point du coin dans la vue 3D, ou tapez les coordonnées.
  3. Cliquez le deuxième point du coin opposé du Rectangle dans la vue 3D, ou tapez les coordonnées. Le rectangle, sera également une face, même s'il apparaît comme filaire.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Options

  • Pressez les touches X, Y ou Z après le point, contraint le point suivant dans la direction de l'axe donné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé, ou fermé votre rectangle, la fonction redémarre automatiquement, vous permettant, de dessiner un autre rectangle sans devoir appuyer sur le bouton.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement par rapport au premier point.
  • Pressez sur la touche I, ou le bouton Filled, transforme le rectangle en une face dès qu'il est fermé.
  • Pressez sur la touche ESC, ou le bouton Cancel pour quitter la commande.
  • Le rectangle nouvellement créé adopte le style de ligne actif.

Propriétés

  • DONNÉESLength: Spécifie la longueur du rectangle
  • DONNÉESWidth: Spécifie la hauteur rectangle
  • DONNÉESChamfer Size: Spécifie la dimension de arrondis des coins
  • DONNÉESFillet Radius: Spécifie le rayon de la courbure des coins du rectangle
  • DONNÉESRows: Permet de donner des subdivisions horizontales au rectangle
  • DONNÉESColumns: Permet de donner des subdivisions verticales au rectangle
  • DONNÉESMake Face: Rempli le rectangle avec une face
  • VUETexture Image: Permet de donner le chemin du fichier de l'image à mapper sur le rectangle. C'est à vous de donner au rectangle la même proportion que l'image si vous voulez éviter les distorsions. La suppression de cette propriété éliminera l'image.
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATALength: specifies the length of the shape in the X axis direction.
  • DATAHeight: specifies the height of the shape in the Y axis direction.
  • DATAChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DATAFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DATARows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DATAColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.
  • VIEWTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Script

L'outil Rectangle, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crée un objet Rectangle, avec, une longueur length de direction X, et, une hauteur height de direction Y.
  • Si une position est donnée, elle est utilisée.
  • Si code>face</code> is None, le rectangle est représenté par un filaire, sinon comme une face.
  • La largeur et la couleur de ligne Draft Linestyle spécifiées seront utilisées.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Polygone

Emplacement du menu
Draft → Polygone
Ateliers
Planche à dessin
Raccourci par défaut
P G
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil demande la sélection d'un centre et un rayon. Vous pouvez ensuite spécifier le nombre de côtés, puis un polygone régulier sera créé à l'intérieur d'un cercle au rayon spécifié.
Le polygone nouvellement créé, adoptera le style de couleur, et, d'épaisseur de trait actif.

Draft polygon example.jpg

Draft polygon example.jpg

Utilisation

  1. Pressez le bouton Draft Polygon.png Polygone ou pressez les touches P puis G.
  2. Cliquez un premier point, dans la vue 3D, ou tapez manuellement les coordonnées coordonnées pour situer le centre,
  3. Spécifiez le nombre de côtés dans la boîte de dialogue,
  4. Cliquez un autre point dans la vue 3D, ou tapez la valeur du rayon pour définir le rayon du polygone. Le polygone sera aussi une face, même, s'il apparaît comme un filaire.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Options

  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche T, ou cliquez sur la case à cocher activer/désactiver Continuer. Dès que le Polygone est terminé, ou fermé et que la case à cocher Continuer est activée, la fonction Polygone redémarre automatiquement.
  • Appuyez sur la touche CTRL, accroche un point sur un emplacement d'accrochage disponible.
  • Pressez sur la touche SHIFT et donnez une direction horizontale, ou verticale à votre ligne, et votre ligne sera contrainte à votre prochain point horizontalement ou verticalement
  • Pressez I ou activez la case à cocher Remplir, pour que le Polygone soit représenté comme une face, après sa fermeture.
  • Appuyez sur la touche ESC ou sur la touche Cancel pour annuler l'opération.
  • Le polygone, en mode d'affichage "Lignes planes", peuvent afficher un motif de hachures en définissant sa propriété "Pattern" ci-dessous.

Propriétés

  • DONNÉESRadius : Spécifie le rayon du cercle.
  • DONNÉESDraw mode : Spécifie si le polygone est Inscrit, ou Circonscrit au cercle.
  • DONNÉESFace Number : Nombre de faces à construire.
  • DONNÉESChamfer Size: Spécifie la dimension du chanfrein des coins.
  • DONNÉESFillet Radius : Spécifie le rayon de courbure, à donner aux angles du rectangle.
  • DONNÉESMake Face: Remplit le cercle avec une face
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATARadius: specifies the radius of the circle that defines the polygon.
  • DATADraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DATAFaces Number: specifies the number of sides of the polygon.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil Polygone, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crée un objet polygone, avec la donnée de rayon, et, le nombre de faces.
  • Si la valeur inscribed est sur False, le polygone est circonscrit autour du cercle avec le rayon donné, si la valeur est sur True, le polygone est inscrit.
  • Si face est True, la forme qui en résulte est affichée comme une face, autrement, comme un filaire.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg BSpline

Emplacement du menu
Draft → BSpline
Ateliers
Planche à dessin (Draft), Arch
Raccourci par défaut
B S
Introduit dans la version
-
Voir aussi
Filaire


Description

L'outil BSpline crée une courbe avec plusieurs points dans le plan de travail courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil Draft Wire.

The BSpline tool behaves like the Draft Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

The BSpline tool specifies the exact points through which the curve will go; on the other hand the Draft BezCurve tool uses control points to define the direction of the curve. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft bspline example.jpg

Draft bspline example.jpg

Utilisation

  1. Pressez le bouton Draft BSpline.png B-Spline, ou pressez les touches B puis S.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonées.
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonées
  4. Pressez les touches F ou C, ou double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermer la B-Spline. Si la B-Spline est fermée, elle peut aussi être une face, même si elle paraît comme une wireframe (fil).

The spline can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.png Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Options

  • Pressez la touche F, ou le bouton Draft FinishLine.png Finish pour finir la B-Spline, et, la laisser ouverte.
  • Pressez la touche C, ou le bouton Draft CloseLine.png Close, ou cliquez sur le premier point pour finir la B-Spline, et, ferme la B-Spline en ajoutant un dernier segment, entre le dernier point et le premier.
  • Pressez la touche X, Y, ou Z après le point, contraint le point suivant à l'axe désigné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si Relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé votre B-Spline, la fonction redémarre automatiquement, vous permettant, de tirer une autre B-Spline sans devoir appuyer sur le bouton.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale, ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement.
  • Pressez la touche W, ou cliquez sur le bouton Draft Wipe.png Wipe pour effacer le segment existant, et, commencer une nouvelle B-Spline à partir du dernier point.
  • Pressez les touches CTRL+Z, ou pressez le bouton Draft UndoLine.png Undo pour revenir sur le dernier point.
  • Pressez la touche I, ou cliquez sur le bouton Filled pour faire apparaître la B-Spline comme une face, juste après sa fermeture.
  • Pressez la touche ESC, ou le bouton Cancel, pour annuler l'opération, et, quitter la commande. La B-Spline nouvellement créée adopte le style de ligne actif.

Propriétés

  • DONNÉESClosed: Spécifie si la spline est fermée ou non
  • VUEEnd Arrow: Affiche le symbole d'une flèche du premier point de la spline, elle peut donc être utilisée comme repère d'annotation
  • VUEPattern: Spécifie le type de hachure
  • VUEPattern Size: Spécifie la dimension de la hachure

A BSpline object shares most properties from a Draft Wire, however, most properties only make sense for a Wire.

Data

  • DATAClosed: specifies if the spline is closed or not. If the spline is initially open, this value is False; setting it to True will draw a curve segment to close the spline. If the spline is initially closed, this value is True; setting it to False will remove the last curve segment, and make the spline open.
  • DATAMake Face: specifies if the spline makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the spline intersects itself, as it won't create a proper face.
  • DATAParameterization: affects the shape of the BSpline.

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the spline.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of a closed spline. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil B-Spline peut être utilisé dans des macros, et, dans la console Python, en utilisant cette fonction:

The BSpline tool can be used in macros and from the Python console by using the following function:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet B-Spline à partir de la liste des vecteurs donnés.
  • Si closed, a la valeur True, ou que le premier point et le dernier point sont identiques, le wire (fil) est fermé.
  • Si la face est True(et que la bspline est fermée), la bspline apparaîtra pleine.
  • Au lieu d'une liste de points, vous pouvez également passer un Part Wire.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg
Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Texte

Emplacement du menu
Draft → Texte
Ateliers
Planche à dessin
Raccourci par défaut
T E
Introduit dans la version
0.7
Voir aussi
Draft Label, Draft ShapeString


Description

L'outil texte, requiert un point d'emplacement, puis, du texte peut être saisi dans une boîte de dialogue texte.

Le texte prend les attributs du Style défini dans Draft Tray..

Pour créer une étiquette de texte avec un en-tête et une flèche, utilisez Draft Label. Pour créer du texte solide ou des lettres 3D, utilisez Draft ShapeString avec Part Extrusion.

Draft Text example.jpg

Un simple point est nécessaire pour positionner le textBox


Avertissement: Les textes créés avec version 0.18 ne sont pas rétrocompatibles. Sauvegardez donc votre travail si vous essayez d'ouvrir les fichiers créés avec la version 0.18 avec des versions plus anciennes.

Utilisation

  1. Pressez la touche Draft Text.png Draft Text button, ou pressez les touches T, puis E
  2. Cliquez un point dans la vue 3D, ou tapez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.
  3. Entrez le texte désiré, et tapez sur Entrée entre chaque ligne,
  4. Pressez deux fois sur Entrée, (ce qui laisse la dernière ligne vide), ajoute le texte au document, et, ferme l'éditeur.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Maintenez la touche Ctrl enfoncée tout en plaçant le texte pour forcer la capture de votre point au point de capture le plus proche, indépendamment de la distance.
  • Pressez sur la Enter ou ↓ Flèche du bas pour entrer la nouvelle ligne de texte.
  • Pressez sur la ↑ Flèche du haut pour éditer la ligne de texte précédente.
  • Appuyez deux fois sur Entrée ou ↓ Flèche du bas pour terminer l'édition du texte.
  • Appuyez sur Esc ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESText: spécifie le contenu du bloc de texte en tant que liste, chaque élément de la liste, séparé par une virgule, indique une nouvelle ligne.
  • DONNÉESPosition: Point de base du bloc de texte
  • DONNÉESAngle: spécifie la rotation de la ligne de base de la première ligne du bloc de texte.
  • DONNÉESAxis: spécifie l'axe à utiliser pour la rotation.

Vue

  • VUEDisplay Mode: Spécifie si le texte est aligné à la scène ou toujours face à la caméra
  • VUEFont Name: La police de caractères à utiliser. Peut être un nom de police, comme "Arial", style par défaut, "sans", "serif" ou "mono", ou une série comme "Arial,Helvetica,sans", ou un nom avec un style comme "Arial:Bold". Si la police donnée, ne se trouve pas sur le système, une police générique est utilisée à la place.
  • VUEFont Size: La dimension des lettres. Si l'objet texte est créé dans la vue arborescente mais qu'aucun texte n'est visible, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VUEJustification: Spécifie l'alignement du texte à gauche à droite ou an centre du point de base
  • VUELine Spacing: Spécifie l'espace entre les lignes du texte
  • VUERotation: Spécifie la rotation a appliquer au texte
  • VUERotation Axis: Spécifie l'axe de rotation a utiliser

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil texte peut être utilisé dans les macros, et dans la console Python, en utilisant la fonction suivante :

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Crée un objet Text, au point donné, si un FreeCAD.Vecteur.
  • stringlist est une chaîne ou une liste de chaînes, s'il s'agit d'une liste, chaque élément est affiché dans sa propre ligne.
  • Si Screen est True, la direction du texte fait toujours face à la vue, sinon, il se situe sur le plan X, Y.

Le placement du Texte peut être modifié en remplaçant son attribut Placement ou en modifiant individuellement les attributs Placement.Base et Placement.Rotation.

Les propriétés d'affichage du Texte peuvent être modifiées en remplaçant ses attributs. Par exemple, modifiez ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg


Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Draft Dimension

Menu location
Draft → Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
0.8
See also
FlipDimension, Atelier TechDraw


Description==

L'outil Dimension crée un objet qui mesure et affiche la distance entre deux points ; un troisième point spécifie la position de la ligne de dimension.

L'outil peut mesurer des arêtes ou des lignes directement attachées à des corps solides ; si le corps change, la dimension se met à jour. L'outil peut également mesurer un diamètre ou un rayon de courbure tels que ceux produits par les opérations Draft Arc, ou par les opérations Part Congés, Sketcher Congés, et Part Design Congés.

The resulting dimension is placed in the 3D view, and is considered a Draft object. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft or TechDraw NewArch tools. Alternatively, TechDraw has its own tools to display dimensions, such as TechDraw Dimension Length and TechDraw Dimension Radius; however, these tools are meant for preparing technical drawings, so they create the dimensions only in the drawing page, and not in the 3D view.

Screenshot Draft Dimension.jpg

Screenshot Draft Dimension.jpg

Utilisation

  • Cliquez sur l'outil Draft Dimension.png cotation ou pressez les touches D et I
  • Cliquez un premier point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un troisième point sur une zone vide de la vue 3D, ou tapez une coordonnée

The dimension can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The measuring points can be changed after creation by changing the start and end properties.

The position of the measurement line can also be changed after creation by changing its direction property.

Types de cotations disponibles

  • Cotation linéaire : cliquez deux points ou sur une ligne en pressant la touche ALT pour forcer une contrainte
  • Cotation horizontale/verticale : pressez la touche SHIFT jusqu'a ce que le second point soit sélectionné.
  • Cotation d'un diamètre : pressez sur la touche ALT, puis sélectionnez une ligne courbe.
  • Cotation d'un rayon : pressez sur la touche ALT, sélectionnez une ligne courbe, puis relâchez la touche ALT et appuyez sur la touche SHIFT.
  • Cotation angulaire  : en choisissant 2 lignes (arêtes) droites avec la touche ALT pressée.
  • Linear dimensions: hold the Alt key, or click on the View-select.svg select edge button, and pick a straight edge, then pick a second point to draw the dimension line parallel to that edge.
Note: you can also pre-select the edge before calling the tool.
  • Horizontal and vertical dimensions: pick one point, then pick a second point, then hold the Shift key and move the pointer horizontally or vertically, then pick a third point to draw the dimension line parallel to either the X axis or the Y axis.
Note 1: click and hold Shift and move the pointer in different directions many times until the dimension line aligns to the desired axis. Clicking Shift while the pointer is far from the first point will usually align the dimension to the X axis; if the pointer is close to the first point it will usually align the dimension to the Y axis.
Note 2: instead of picking two points, pick an edge while holding Alt.
  • Diameter dimensions: hold the Alt key and pick a curved edge, then pick a second point to draw the dimension line.
    • Radius dimensions: hold the Alt key and pick a curved edge, then hold the Shift key and pick a second point to draw the dimension line.
  • Angular dimensions: hold the Alt key and then pick two straight edges, then pick a point between the two edges to show the acute or obtuse angle, or elsewhere to show a supplementary or explementary angle.
Note: the displayed angle largely depends on the original position of the selected edges. If you would like to display a particular angle, you may have to add auxiliary Draft Lines that extend from the original edges, and measure these extensions.

Note: by pre-selecting an edge, or by picking it with Alt or View-select.svg select edge, the dimension will become parametric, that is, it will remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them, and adjust the displayed measurement.

Options

  • Pressez les touches X, Y ou Z après un point, pour [Draft_Constrain/fr|contraindre] le prochain point, sur l'axe donné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement,

ou, quand vous travaillez sur un bord circulaire, bascule entre les modes diamètre et rayon.

  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si Relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé votre cotation, la fonction redémarre automatiquement, vous permettant, de tirer une autre cotation sans devoir appuyer sur le bouton.
  • Appuyez sur ESC pour annuler l'opération.La cotation nouvellement créée adopte le style de ligne actif.
  • En cliquant, sur une arête existante avec la touche ALT, au lieu d'entrer un point de mesure, la cotation deviendra paramétrique et sera liée aux bords. Si les points de terminaison de ces arêtes se déplacent par la suite, la cotation les suivra.
  • La direction de la dimension peut être modifiée plus tard en modifiant la "Direction" dans les propriétés

Propriétés

  • DONNÉESStart: Le point de départ de la cote
  • DONNÉESEnd: Le point final de la cote
  • DONNÉESDimline: Le point donnant la valeur de la dimension de la ligne de cote
  • DONNÉESDisplay Mode: Spécifie si le texte de la cotation est aligné à la cote ou toujours face à la vue
  • VUEFont Size: La hauteur des lettres
  • VUEExt Lines: La dimension de l'extension de la ligne (entre les points de mesure et la ligne de cote)
  • VUEText Position: Est utilisé pour forcer l’affichage du texte à une certain position sur la ligne de cote
  • VUEText Spacing: Spécifie l'espace entre le texte et la ligne
  • VUEOverride: Spécifie le texte a afficher à la place de la valeur de la dimension. Utilisez le mot "$dim", devant le texte pour afficher la nouvelle cote
  • VUEFont Name: La police de texte à utiliser. La police par défaut est "Arial", de style "sans", "serif" ou "mono", ou de la même famille que "Arial,Helvetica,sans" ou un nom du style "Arial:Bold". Si aucune police n'est trouvée sur le système une police générique est utilisée à la place.
  • VUEArrow Type: Le type de flèches utilisées
  • VUEArrow Size: La dimension de la flèche
  • VUEDecimals: Le nombre de décimales a utiliser pour la cote
  • VUEFlip Arrows: Inverse l'orientation des flèches

Data

  • DATAStart: specifies the start point of the distance to measure.
  • DATAEnd: specified the end point of the distance to measure.
  • DATADimline: specifies a point through which the dimension line must pass.
  • DATADistance: (read-only) indicates the measured length.
  • DATADiameter: if it is True it displays a diameter dimension; otherwise it displays a radius dimension; this property only works if the dimension is attached to a circular arc.

View

  • VIEWExt Lines: specifies the maximum length of the extension lines that go from the measurement points to the dimension line.
  • VIEWExt Overshoot: specifies the additional length of the extension lines beyond the dimension line.
  • VIEWDim Overshoot: specifies the additional length added to the dimension line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the ends of the dimension line.
  • VIEWArrow Type: specifies the type of symbol displayed at the ends of the dimension line, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWFlip Arrows: specifies whether to flip the orientation of the symbols at the ends of the dimension line; it only works if these symbols are arrows.
  • VIEWFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWFont Size: specifies the size of the letters. If the dimension object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VIEWFlip Text: specifies whether to flip the orientation of the text indicating the measurement.
  • VIEWText Position: specifies the position of the text in absolute coordinates, referred to the origin (0,0,0); leave this property at its default value (0,0,0) to display the text next to the dimension line.
  • VIEWText Spacing: specifies the space between the text and the dimension line.
  • VIEWOverride: specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to display the measurement value.
  • VIEWDecimals: specifies the number of decimal places to display on the measurement.
  • VIEWShow Unit: if it is True the unit is displayed next to numerical value of the measurement.
  • VIEWUnit Override: specifies a unit in which to express the measurement, for example, "km", "m", "cm", "mm", "mi", "ft", "in"; leave this property blank to use the default units. introduced in version 0.17

Script

L'outil Cotation peut être utilisé dans une macro, et, dans la console Python en utilisant les fonctions suivantes :

The Dimension tool can be used in macros and from the Python console by using the following function:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

There are various ways to invoke this function, depending on the arguments passed to it:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crée un objet Dimension, avec la cotation de la ligne passant par le biais de p3.
  • L'ensemble des paramètres de largeur, couleur et hauteur du texte actuel seront utilisés.
  • Il y a plusieurs façons de créer une cotation, selon les arguments que vous lui transférez:
  1. (p1, p2, p3): crée une cotation standard de p1 à p2.
  2. (objet, i1, i2, p3): crée une cotation liée à un objet donné, en mesurant la distance entre ses sommets indexés i1 et i2.
  3. (objet, i1, mode, p3): crée une cotation liée à un objet donné, i1 est l'index du bord (courbé), à mesurer et mode, est un rayon ou un diamètre. Retourne un nouvel objet créé.

To create an angular dimension use the following function:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • Crée une cotation angulaire à partir du centre donné , et une liste de données angulaires passant par p3.
  • Retourne l'objet nouvellement créé.

The view properties of Dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Exemple:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg
Arrow-left.svg Previous: Draft BSpline.svg BSpline

Draft Point.svg Draft Point

Emplacement du menu
Draft → Point
Ateliers
Draft, Arch
Raccourci par défaut
P T
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Point crée un simple point dans le document courant plan de travail, pratique pour servir de point de repère, pour placer un autre objet plus tard. Il prend les attributs de couleur précédemment définis sous l'onglet tâches, ou sur la barre d'outils.

Draft point example.jpg

Draft point example.jpg

Utilisation

  1. Pressez le bouton Draft Point.png Point, ou pressez les touches P et T.
  2. Cliquez un point dans la vue 3D, ou tapez ces coordonnées.

Options

  • Entrez les coordonnées manuellement, simplement en entrant les nombres, puis tapez sur la touche ENTER à chaque entrée X, Y et Z.
  • Pressez la touche ESC ou le bouton Annuler pour quitter la commande.

Propriétés

  • DONNÉESX : La coordonnée X du point.
  • DONNÉESY : La coordonnée Y du point.
  • DONNÉESZ : La coordonnée Z du point.

Script

L'outil point, peut être utilisé dans des macros, et, dans la console Python, en utilisant le code suivant :

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crée un point, aux coordonnées définies. Si aucune coordonnées X, Y et z ne sont définies, le point est créé au point (0,0,0). Retourne le nouvel objet créé.

Exemple:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)
Arrow-left.svg Previous: Draft BSpline.svg BSpline

Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>


<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>


<translate> </translate>